get
https://api.marketcircle.net/v1/forms/
Show the details of a form
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Form Attributes
| Attribute | Type | Description | Attributes |
|---|---|---|---|
self | reference | URL of the Form | Read-only Non-null |
name | string | Name of the Form | Read-Write Nullable |
keywords | array of string | List of Keywords | Read-Write Nullable |
definition | reference | URL of the Form Definition | Read-Write Non-null |
values | array of field value | Values for each field on the form. See Form Values below | Read-Write Nullable |
appointments | array of appointment | List of Appointments | Read-Write Nullable |
companies | array of company | List of Companies | Read-Write Nullable |
contacts | array of contact | List of Contacts | Read-Write Nullable |
groups | array of group | List of Groups | Read-Write Nullable |
notes | array of note | List of Notes | Read-Write Nullable |
opportunities | array of opportunity | List of Opportunities | Read-Write Nullable |
projects | array of project | List of Projects | Read-Write Nullable |
tasks | array of task | List of Tasks | Read-Write Nullable |
owner | reference | URL of the User that is responsible for the form | Read-Write Non-null |
create_date | datetime | Timestamp from when the form was created | Read-only Non-null |
modify_date | datetime | Timestamp from when the form was last updated | Read-only Non-null |
trashed | boolean | Is the item trashed? | Read-Write Non-null |
Form Values
Each entry in values identifies a field by its name and sets its data with either value (a single string or number) or values (an array of string). Which key and type to use depends on how the field is set up in Daylite.
Match the field typeThe JSON type you send must match the field type in Daylite. If it doesn't, the API will still store the value and return it when you fetch the form, but the value will not display in Daylite.
| Daylite Field Type | Key | JSON Type | Example |
|---|---|---|---|
| Text | value | string | "value": "Default Text" |
| Popup Options | values | array of string | "values": ["1"] |
| Combo Box Options | values | array of string | "values": ["1"] |
| Number | value | int | "value": 100 |
| Decimal Number | value | number | "value": 100.0 |
| Currency | value | number | "value": 1.0 |
| Date | value | datetime string | "value": "2025-03-12T17:54:24Z" |
| Time | value | datetime string | "value": "2025-03-12T17:01:24Z" |
| Date & Time | value | datetime string | "value": "2025-03-19T17:01:24Z" |
| Checkbox | value | int (1 or 0) | "value": 1 |
| Multiple Checkboxes | values | array of string | "values": ["3"] |
Numbers are not stringsNumber, Decimal Number, Currency, and Checkbox fields must be sent without quotes.
✅
"value": 22
❌"value": "22"
Example
{
"name": "Test Form",
"values": [
{ "name": "Test Field", "value": "Default Text" },
{ "name": "Test Field 2", "values": ["1"] },
{ "name": "Test Field 3", "values": ["1"] },
{ "name": "Test Field 4", "value": 100 },
{ "name": "Test Field 5", "value": 100.0 },
{ "name": "Test Field 6", "value": 1.0 },
{ "name": "Test Field 7", "value": "2025-03-12T17:54:24Z" },
{ "name": "Test Field 8", "value": "2025-03-12T17:01:24Z" },
{ "name": "Test Field 9", "value": "2025-03-19T17:01:24Z" },
{ "name": "Test Field 10", "value": 1 },
{ "name": "Test Field 11", "values": ["3"] }
]
}